Это видео недоступно.
Сожалеем об этом.

Maximal square | Dynamic programming | Leetcode

Поделиться
HTML-код
  • Опубликовано: 16 дек 2021
  • Given an m x n binary matrix filled with 0's and 1's, find the largest square containing only 1's and return its area.
    Example 1:
    Input: matrix = [["1","0","1","0","0"],["1","0","1","1","1"],["1","1","1","1","1"],["1","0","0","1","0"]]
    Output: 4
    Example 2:
    Input: matrix = [["0","1"],["1","0"]]
    Output: 1
    Example 3:
    Input: matrix = [["0"]]
    Output: 0
    Constraints:
    m == matrix.length
    n == matrix[i].length
    matrix[i][j] is '0' or '1'.

Комментарии • 30

  • @thellaidhinesh8929
    @thellaidhinesh8929 3 месяца назад +2

    i thought this was very complexed problem. after watching this video, i got the confidence to solve this problem. Thanks alisha!

  • @manojtate9604
    @manojtate9604 5 месяцев назад

    Great clarification! 😃

  • @Shivam-wl7fg
    @Shivam-wl7fg 6 месяцев назад

    Nice Explanation 😃

  • @pabitrakb5291
    @pabitrakb5291 5 месяцев назад

    Nice explanation 😊

  • @amanchaudhary8817
    @amanchaudhary8817 Месяц назад

    excellent explanation mam.

  • @kpjVideo
    @kpjVideo Год назад

    Great explanation! This helped a bunch!

  • @ankk98
    @ankk98 8 месяцев назад

    The intuition behind this algo is that we are checking for all possible squares ending at the given index.
    So, we are using the results of maximum sized squares ending at 3 adjacent indexes and using that information to find out the max possible solution at current index.

  • @Coding_Destini
    @Coding_Destini Год назад

    Thank you so much for this approach ... this is really easy

  • @prasannaprabhakar1323
    @prasannaprabhakar1323 2 года назад

    The way you are conveying the intuition part of the solution creates the difference.
    Nice choice of questions btw.

  • @shivanshpareek7278
    @shivanshpareek7278 Год назад +2

    please add the link as well and ur playlists are best way to revise and the way you explain gives me confidence to speak in interviews ..
    Thanks a lot for amazing content

  • @shanidandanayak3806
    @shanidandanayak3806 3 месяца назад

    Arigatho

  • @user-bb8os4rw5i
    @user-bb8os4rw5i Год назад

    thankyou so much worth watching!!!!

  • @raj_kundalia
    @raj_kundalia Год назад

    thank you!

  • @user-gf1dp1zw8v
    @user-gf1dp1zw8v 2 месяца назад

    I have a dought, you are returning the max area by 3* 3 but the right area is 2*3 right???

  • @vikashdhania2970
    @vikashdhania2970 2 года назад

    thanks mam

  • @willingtushar
    @willingtushar 2 года назад +1

    Nice explanation Indeed!

  • @anupamojha3836
    @anupamojha3836 2 года назад

    very nice explaination

  • @anshulbhati5752
    @anshulbhati5752 2 года назад

    greatt explanation!

  • @BereniceVirginis
    @BereniceVirginis 6 месяцев назад

    Space Complexity: O(1)
    int maxSquare(int n, int m, vector mat){
    // code here
    int ans=0;
    for(int i=0;i

  • @shouryagupta8763
    @shouryagupta8763 2 года назад

    thanks a lot didi!

  • @govinth2462
    @govinth2462 8 месяцев назад

    I mam I want talk with your about my features opportunity where can connect with you

  • @rudrakshsharma4601
    @rudrakshsharma4601 2 года назад

    nice work alisha

  • @shivanshyadu4830
    @shivanshyadu4830 2 года назад +1

    Ufff didi one of the best place and you just explained the code in really easy way, I saw everyone's video but they just copy pasting the solution ❤❤😊

  • @duck3072
    @duck3072 Год назад +2

    Can we solve problems by filling dp from last cell to first

  • @tiger7858
    @tiger7858 Год назад +1

    inside if( i = = 0 || j = = 0) you are doing unnecessary work you can leave it as it is , nice explanation overall 🙏thank you